
Redmine - Defect #10804

Unable to access /settings

2012-04-30 20:34 - Robson Peixoto

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.1

Description

Processing IssuesController#index (for 172.20.10.57 at 2012-04-30 14:56:34) [GET]

Parameters: {"controller"=>"issues", "action"=>"index", "project_id"=>"u4"}

Rendering template within layouts/base

Rendering issues/index

ActionView::TemplateError (incompatible character encodings: UTF-8 and ASCII-8BIT) on line #7 of

app/views/queries/_columns.html.erb:

4:       <%= label_tag "available_columns", l(:description_available_columns) >

5:       <br />

6:       <= select_tag 'available_columns',

7:               options_for_select((query.available_columns - query.columns).collect {|column| [column.caption, column.name]}),

8:               :multiple => true, :size => 10, :style => "width:150px",

9:               :ondblclick => "moveOptions(this.form.available_columns, this.form.selected_columns);" %>

10:     </td>

app/views/queries/_columns.html.erb:7

    app/views/issues/index.html.erb:28:in `block in _run_erb_app47views47issues47index46html46erb'

    app/views/issues/index.html.erb:12

    app/controllers/issues_controller.rb:83:in `block (2 levels) in index'

    app/controllers/issues_controller.rb:82:in `index'

    &lt;internal:prelude&gt;:10:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_proces

s_next_request'

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_re

quest_handler'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in

 handle_spawn_application'

    passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_s

pawn_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn_ra

ils_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_applica

tion'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `block in synchro

nize'

    &lt;internal:prelude&gt;:10:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.12) helper-scripts/passenger-spawn-server:99:in `&lt;main&gt;'
 Rendering /var/convergence/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2012-04-30 20:39 - Jean-Philippe Lang

SubmittingBugs.

#2 - 2012-05-01 12:59 - Jean-Philippe Lang

Any plugin that adds a custom column to the issue list?

#3 - 2012-05-02 14:55 - Robson Peixoto

1. RAILS_ENV=production ruby script/about

/usr/local/rvm/gems/ruby-1.9.3-p194/gems/activesupport-2.3.14/lib/active_support/inflector.rb:3:in `<top (required)>': iconv will be deprecated in

the future, use String#encode instead.

NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.

Gem.source_index called from /usr/local/rvm/gems/ruby-1.9.3-p194/gems/rails-2.3.14/lib/rails/gem_dependency.rb:21.

About your application's environment

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/convergence/redmine

Environment               production

Database adapter          mysql2

Database schema version   20120301153455

About your Redmine plugins

Redmine Backlogs         v0.9.3

Redmine Wiki HTML Util   0.0.1

#4 - 2012-05-02 22:56 - Fri Flaj

The Backlogs plugin adds custom columns. What can we do to fix this?

#5 - 2012-05-02 23:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

It looks like the encoding of the column names is not set to utf8.

You should contact the plugin author to see if a ruby1.9 compatible version of the plugin is available.

#6 - 2012-05-02 23:11 - Fri Flaj

Ah, so this is ruby 1.9 specific? Our plugin has not yet passed tests on 1.9. Odd though, because our translations are all utf-8 or us-ascii.

#7 - 2012-05-02 23:23 - Jean-Philippe Lang

This error is ruby1.9 specific indeed. Strings are not encoding aware in ruby1.8.
